CVE-2016-0974

Published on: 02/10/2016 12:00:00 AM UTC

Last Modified on: 03/23/2021 11:27:13 PM UTC

CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

Certain versions of Air from Adobe contain the following vulnerability:

Use-after-free vulnerability in Adobe Flash Player before 18.0.0.329 and 19.x and 20.x before 20.0.0.306 on Windows and OS X and before 11.2.202.569 on Linux, Adobe AIR before 20.0.0.260, Adobe AIR SDK before 20.0.0.260, and Adobe AIR SDK & Compiler before 20.0.0.260 allows attackers to execute arbitrary code via unspecified vectors, a different vulnerability than CVE-2016-0973, CVE-2016-0975, CVE-2016-0982, CVE-2016-0983, and CVE-2016-0984.

  • CVE-2016-0974 has been assigned by [email protected] to track the vulnerability - currently rated as - currently rated as CRITICAL severity.

CVSS3 Score: 9.8 - CRITICAL

Attack
Vector
Attack
Complexity
Privileges
Required
User
Interaction
NETWORK LOW NONE NONE
Scope Confidentiality
Impact
Integrity
Impact
Availability
Impact
UNCHANGED HIGH HIGH HIGH

CVSS2 Score: 10 - HIGH

Access
Vector
Access
Complexity
Authentication
NETWORK LOW NONE
Confidentiality
Impact
Integrity
Impact
Availability
Impact
COMPLETE COMPLETE COMPLETE

CVE References

Description Tags Link
Adobe Flash Player: Multiple vulnerabilities (GLSA 201603-07) — Gentoo Security security.gentoo.org
text/html
URL Logo GENTOO GLSA-201603-07
Adobe Security Bulletin Patch
Vendor Advisory
helpx.adobe.com
text/html
URL Logo CONFIRM helpx.adobe.com/security/products/flash-player/apsb16-04.html
Adobe Flash - LoadVars.decode Use-After-Free - Multiple dos Exploit www.exploit-db.com
Proof of Concept
text/html
URL Logo EXPLOIT-DB 39463
[security-announce] openSUSE-SU-2016:0415-1: important: Security update lists.opensuse.org
text/html
URL Logo SUSE openSUSE-SU-2016:0415
[security-announce] SUSE-SU-2016:0398-1: important: Security update for lists.opensuse.org
text/html
URL Logo SUSE SUSE-SU-2016:0398
Adobe Flash Player Multiple Bugs Lets Remote Users Execute Arbitrary Code - SecurityTracker www.securitytracker.com
text/html
URL Logo SECTRACK 1034970
[security-announce] SUSE-SU-2016:0400-1: important: Security update for lists.opensuse.org
text/html
URL Logo SUSE SUSE-SU-2016:0400
Red Hat Customer Portal web.archive.org
text/html
Inactive LinkNot Archived
URL Logo REDHAT RHSA-2016:0166
[security-announce] openSUSE-SU-2016:0412-1: important: Security update lists.opensuse.org
text/html
URL Logo SUSE openSUSE-SU-2016:0412

Exploit/POC from Github

An implementation of CVE-2016-0974 for the Nintendo Wii.

Known Affected Configurations (CPE V2.3)

Type Vendor Product Version Update Edition Language
ApplicationAdobeAirAllAllAllAll
ApplicationAdobeAir SdkAllAllAllAll
ApplicationAdobeAir Sdk CompilerAllAllAllAll
ApplicationAdobeFlash Player19.0.0.185AllAllAll
ApplicationAdobeFlash Player19.0.0.207AllAllAll
ApplicationAdobeFlash Player19.0.0.226AllAllAll
ApplicationAdobeFlash Player19.0.0.245AllAllAll
ApplicationAdobeFlash Player20.0.0.228AllAllAll
ApplicationAdobeFlash Player20.0.0.235AllAllAll
ApplicationAdobeFlash Player20.0.0.286AllAllAll
ApplicationAdobeFlash Player19.0.0.185AllAllAll
ApplicationAdobeFlash Player19.0.0.207AllAllAll
ApplicationAdobeFlash Player19.0.0.226AllAllAll
ApplicationAdobeFlash Player19.0.0.245AllAllAll
ApplicationAdobeFlash Player20.0.0.228AllAllAll
ApplicationAdobeFlash Player20.0.0.235AllAllAll
ApplicationAdobeFlash Player20.0.0.286AllAllAll
ApplicationAdobeFlash PlayerAllAllAllAll
ApplicationAdobeFlash PlayerAllAllAllAll
Operating
System
AppleIphone OsAllAllAllAll
Operating
System
AppleIphone OsAllAllAllAll
Operating
System
AppleMac Os XAllAllAllAll
Operating
System
AppleMac Os XAllAllAllAll
Operating
System
GoogleAndroidAllAllAllAll
Operating
System
GoogleAndroidAllAllAllAll
Operating
System
LinuxLinux KernelAllAllAllAll
Operating
System
LinuxLinux KernelAllAllAllAll
Operating
System
MicrosoftWindowsAllAllAllAll
Operating
System
MicrosoftWindowsAllAllAllAll
  • cpe:2.3:a:adobe:air:*:*:*:*:*:*:*:*:
  • cpe:2.3:a:adobe:air_sdk:*:*:*:*:*:*:*:*:
  • cpe:2.3:a:adobe:air_sdk_\\\&_compiler:*:*:*:*:*:*:*:*:
  • cpe:2.3:a:adobe:flash_player:19.0.0.185:*:*:*:*:*:*:*:
  • cpe:2.3:a:adobe:flash_player:19.0.0.207:*:*:*:*:*:*:*:
  • cpe:2.3:a:adobe:flash_player:19.0.0.226:*:*:*:*:*:*:*:
  • cpe:2.3:a:adobe:flash_player:19.0.0.245:*:*:*:*:*:*:*:
  • cpe:2.3:a:adobe:flash_player:20.0.0.228:*:*:*:*:*:*:*:
  • cpe:2.3:a:adobe:flash_player:20.0.0.235:*:*:*:*:*:*:*:
  • cpe:2.3:a:adobe:flash_player:20.0.0.286:*:*:*:*:*:*:*:
  • cpe:2.3:a:adobe:flash_player:19.0.0.185:*:*:*:*:*:*:*:
  • cpe:2.3:a:adobe:flash_player:19.0.0.207:*:*:*:*:*:*:*:
  • cpe:2.3:a:adobe:flash_player:19.0.0.226:*:*:*:*:*:*:*:
  • cpe:2.3:a:adobe:flash_player:19.0.0.245:*:*:*:*:*:*:*:
  • cpe:2.3:a:adobe:flash_player:20.0.0.228:*:*:*:*:*:*:*:
  • cpe:2.3:a:adobe:flash_player:20.0.0.235:*:*:*:*:*:*:*:
  • cpe:2.3:a:adobe:flash_player:20.0.0.286:*:*:*:*:*:*:*:
  • cpe:2.3:a:adobe:flash_player:*:*:*:*:*:*:*:*:
  • cpe:2.3:a:adobe:flash_player:*:*:*:*:*:*:*:*:
  • cpe:2.3:o:apple:iphone_os:*:*:*:*:*:*:*:*:
  • cpe:2.3:o:apple:iphone_os:*:*:*:*:*:*:*:*:
  • cpe:2.3:o:apple:mac_os_x:*:*:*:*:*:*:*:*:
  • cpe:2.3:o:apple:mac_os_x:*:*:*:*:*:*:*:*:
  • cpe:2.3:o:google:android:*:*:*:*:*:*:*:*:
  • cpe:2.3:o:google:android:*:*:*:*:*:*:*:*:
  • cpe:2.3:o:linux:linux_kernel:*:*:*:*:*:*:*:*:
  • cpe:2.3:o:linux:linux_kernel:*:*:*:*:*:*:*:*:
  • cpe:2.3:o:microsoft:windows:*:*:*:*:*:*:*:*:
  • cpe:2.3:o:microsoft:windows:*:*:*:*:*:*:*:*: